package com.lantone.analyze.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.dto.analyze.QcCasesEntryDTO;
import com.lantone.vo.analyze.AnalyzeVO;
import com.lantone.vo.analyze.QcResultAlgQueryVO;
import com.lantone.vo.analyze.QcResultAlgVO;
import com.lantone.analyze.entity.QcCasesEntry;

import java.util.List;

/**
 * <p>
 * 表名：qc_cases_entry Mapper接口
 * </p>
 */
public interface QcCasesEntryMapper extends BaseMapper<QcCasesEntry> {

    List<QcCasesEntryDTO> getQcCasesEntry(AnalyzeVO analyzeVO);

    List<QcResultAlgVO> getQcResultAlgVO(QcResultAlgQueryVO qcResultAlgQueryVO);
}