package com.lantone.analyze.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.dto.analyze.MedLisResultDTO;
import com.lantone.analyze.entity.MedBehospitalInfo;
import com.lantone.analyze.entity.MedLisResult;
import com.lantone.analyze.mapper.MedLisResultMapper;
import com.lantone.analyze.service.MedLisResultService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  Service实现类
 * </p>
 */
@Service
public class MedLisResultServiceImpl extends ServiceImpl<MedLisResultMapper, MedLisResult> implements MedLisResultService {

    public List<MedLisResultDTO> getMedLisResultList(MedBehospitalInfo medBehospitalInfo) {
        return baseMapper.getMedLisResults(medBehospitalInfo);
    }
}