package com.lantone.analyze.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.dto.analyze.RecordContentDTO;
import com.lantone.vo.analyze.RecordContentVO;
import com.lantone.analyze.entity.MedMedicalRecord;
import com.lantone.analyze.mapper.MedMedicalRecordMapper;
import com.lantone.analyze.service.MedMedicalRecordService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  Service实现类
 * </p>
 */
@Service
public class MedMedicalRecordServiceImpl extends ServiceImpl<MedMedicalRecordMapper, MedMedicalRecord> implements MedMedicalRecordService {

    public List<RecordContentDTO> getRecordContentFac(RecordContentVO recordContentVO) {
        return baseMapper.getRecordContent(recordContentVO);
    }
}