package com.lantone.analyze.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.dto.analyze.MedPacsResultDTO;
import com.lantone.analyze.entity.MedBehospitalInfo;
import com.lantone.analyze.entity.MedPacsResult;
import com.lantone.analyze.mapper.MedPacsResultMapper;
import com.lantone.analyze.service.MedPacsResultService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  Service实现类
 * </p>
 */
@Service
public class MedPacsResultServiceImpl extends ServiceImpl<MedPacsResultMapper, MedPacsResult> implements MedPacsResultService {

    public List<MedPacsResultDTO> getMedPacsResultList(MedBehospitalInfo medBehospitalInfo) {
        return baseMapper.getMedPacsResults(medBehospitalInfo);
    }
}