package com.lantone.analyze.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.dto.analyze.QcCasesEntryDTO;
import com.lantone.vo.analyze.AnalyzeVO;
import com.lantone.vo.analyze.QcResultAlgQueryVO;
import com.lantone.vo.analyze.QcResultAlgVO;
import com.lantone.analyze.entity.QcCasesEntry;
import com.lantone.analyze.mapper.QcCasesEntryMapper;
import com.lantone.analyze.service.QcCasesEntryService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病历条目 Service实现类
 * </p>
 */
@Service
public class QcCasesEntryServiceImpl extends ServiceImpl<QcCasesEntryMapper, QcCasesEntry> implements QcCasesEntryService {

    public List<QcCasesEntryDTO> getQcCasesEntry(AnalyzeVO analyzeVO) {
        return baseMapper.getQcCasesEntry(analyzeVO);
    }

    public List<QcResultAlgVO> getQcResultAlgVO(QcResultAlgQueryVO qcResultAlgQueryVO) {
        return baseMapper.getQcResultAlgVO(qcResultAlgQueryVO);
    }
}