package com.lantone.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.vo.report.FilterVO;
import com.lantone.report.entity.IndexResult;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 表名：med_index_result Mapper接口
 * </p>
 */
public interface IndexResultMapper extends BaseMapper<IndexResult> {
    /**
     * 指标分母人数
     * @param filterVO
     * @return
     */
    public Map<String, Double> medicalRecordIndicator(@Param("filterVO") FilterVO filterVO);



}