package com.lantone.analyze.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.dto.analyze.BehospitalInfoDTO;
import com.lantone.vo.analyze.BehospitalPageVO;
import com.lantone.analyze.entity.MedBehospitalInfo;
import com.lantone.analyze.mapper.MedBehospitalInfoMapper;
import com.lantone.analyze.service.MedBehospitalInfoService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 住院病历信息 Service实现类
 * </p>
 */
@Service
public class MedBehospitalInfoServiceImpl extends ServiceImpl<MedBehospitalInfoMapper, MedBehospitalInfo> implements MedBehospitalInfoService {

    public IPage<BehospitalInfoDTO> getPage(BehospitalPageVO behospitalPageVO) {
        return baseMapper.getPage(behospitalPageVO);
    }
}