package com.lantone.appeal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.dto.appeal.AppealExamineRecordDTO;
import com.lantone.dto.appeal.GetAppealInfoDTO;
import com.lantone.vo.appeal.GetAppealInfoVO;
import com.lantone.appeal.entity.AppealInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：med_appeal_info Mapper接口
 * </p>
 */
public interface AppealInfoMapper extends BaseMapper<AppealInfo> {

    GetAppealInfoDTO getAppealInfo(@Param("getAppealInfoVO") GetAppealInfoVO getAppealInfoVO);

    List<AppealExamineRecordDTO> getAppealExamineRecords(@Param("getAppealInfoVO") GetAppealInfoVO getAppealInfoVO);

    String getCasesName(@Param("id") Long id);
    Long getCasesIdByName(@Param("name") String name);
}