package com.lantone.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.dto.report.CheckInfoDTO;
import com.lantone.vo.report.CheckInfoVO;
import com.lantone.report.entity.PacsInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 表名：med_pacs_info Mapper接口
 * </p>
 */
public interface PacsInfoMapper extends BaseMapper<PacsInfo> {
    Map<String,Object> getTime(@Param("behospitalCode") String behospitalCode);


    IPage<CheckInfoDTO> getCheckInfo(@Param("checkInfoVO") CheckInfoVO checkInfoVO, @Param("infos") Set<String> infos);

    List<String> getInfo(@Param("hospitalId") Long hospitalId, @Param("behospitalCode") String behospitalCode);

}